<div class="card-deck">

  <div class="card mb-3" matTooltip="{{ assetData.isRegistered ? '' : 'Click to register'}}" matTooltipPosition="before">

    <div class="card-body" (click)="registerAsset(); registeredAssetToEdit()"  data-toggle="modal" data-target="#sidebar-right" data-backdrop="static" data-keyboard="false"
         [ngClass]="[assetData.isRegistered ? 'registedIcon' : 'registerNowIcon', embossedFlag ? 'count-card-embossed': '']">

      <app-asset-linked-count [assetLinkedDetails]="assetLinkedDetails"></app-asset-linked-count>

      <h4 class="card-title uppercase">{{assetData.assetData.assetType}}</h4>
      <div class="card-text" *ngIf="assetData.assetData.beaconId">Beacon Id: <span>{{assetData.assetData.beaconId}}</span></div>
      <div class="card-text" *ngIf="assetData.assetData.RFIDId">RF Id : <span>{{assetData.assetData.RFIDId}}</span></div>
      <p class="card-text" *ngIf="assetData.assetData.rssi">RSSI Signal(db) : <span>{{assetData.assetData.rssi }}</span></p>
      <div class="card-text date" *ngIf="assetData.lastSeen"><span>{{assetData.lastSeen | date: 'medium'}}</span></div>

      <app-group-badge [assetDataGroups]="assetData.assetData.groups"></app-group-badge>

    </div>

  </div>

</div>


